#!/bin/bash

vernum=`manage -p | grep update_region | awk -F "=" '{print $2}'`

if [ $vernum = 0x1 ];then
	blckid=11
elif [ $vernum = 0x2 ];then
	blckid=12
fi


if  ! grep -qs /media/rootfs /proc/mounts; then
	mount /dev/mmcblk1p$blckid /media/rootfs
fi

echo -n "Current system version: "
cat /etc/saturn-version

echo -n "Backup  system version: "
cat /media/rootfs/etc/saturn-version


if  grep -qs /media/rootfs /proc/mounts;  then
        umount /media/rootfs/
fi
